<form action="/coaches" accept-charset="UTF-8" method="post">
  <div class="form-group">
    <label for="user_email">Email</label>
    <input type="email" class="form-control" placeholder="name@example.com" autofocus="autofocus" name="user[email]" id="user_email" required>
  </div>
  <div class="form-group">
    <label for="coach_name">Nome</label>
    <input class="form-control" type="name" class="form-control" placeholder="Nome Completo" autofocus="autofocus" name="coach[name]" id="coach_name" required>
  </div>
  <div class="form-group">
    <label for="coach_cpf">Cpf</label>
    <input class="form-control" type="name" class="form-control" placeholder="Nome Completo" autofocus="autofocus" name="coach[cpf]" id="coach_cpf" required>
  </div>
  <div class="form-group">
    <label for="coach_gym_id">Academia</label>
    <select class="form-control" id="coach_gym_id" name="coach[gym_id]">
      <% @gyms.each do |gym| %>
        <option value = <%= gym.id %>> <%= gym.name %></option>
      <% end %>
    </select>
  </div>
  <div class="form-group">
    <label for="coach_address">Endereço</label>
    <input type="text" class="form-control" autofocus="autofocus" name="coach[address]" id="coach_address" required>
  </div>
  <div class="form-group">
    <label for="coach_phone">Celular</label>
    <input class="form-control" class="form-control" autofocus="autofocus" name="coach[phone]" id="coach_phone" required>
  </div>
  <div class="form-group">
    <label for="user_password">Senha</label>
    <input class="form-control" autocomplete="off" type="password" name="user[password]" id="user_password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}" required/>
  </div>
  <div class="form">
    <label for="user_password_confirmation">Confirmar Senha</label><br />
    <input class="form-control" autocomplete="off" type="password" name="user[password_confirmation]" id="user_password_confirmation"  pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}" required/>
  </div>
  </br>
  <button type="submit" class="btn btn-primary" name="commit" value="Create Coach" data-disable-with="Create Coach"/>Cadastrar</button>
</form>

<script type="text/javascript">
    window.onload = function () {
    	document.getElementById("user_password").onchange = validatePassword;
    	document.getElementById("user_password_confirmation").onchange = validatePassword;
    }
    function validatePassword(){
    var pass2=document.getElementById("user_password").value;
    var pass1=document.getElementById("user_password_confirmation").value;
    if(pass1!=pass2)
    	document.getElementById("user_password_confirmation").setCustomValidity("Passwords Don't Match");
    else
    	document.getElementById("user_password_confirmation").setCustomValidity('');
    //empty string means no validation error
    }
</script>
